public inbox for linux-xfs@vger.kernel.org
 help / color / mirror / Atom feed
* Bug#804255: Please update initramfs in postinst
@ 2015-11-06 16:19 Steve McIntyre
  2015-11-09  0:00 ` Nathan Scott
  0 siblings, 1 reply; 4+ messages in thread
From: Steve McIntyre @ 2015-11-06 16:19 UTC (permalink / raw)
  To: Debian Bug Tracking System

Package: xfsprogs
Version: 3.2.1
Severity: important
Tags: d-i

Hi!

Since the move to systemd as the default init system, the initramfs
will attempt to fsck and mount both / and /usr (where applicable). To
aid this, initramfs-tools will copy necessary filesystem tools into
the initramfs when it is generated.

To make this work well, all filesystem tools packages for filesystems
that are likely to be used for / and/or /usr should call
"update-initramfs -u" in their postinst. This will

 (a) ensure that necesssary fsck tools are included in the initramfs
     generated by debian-installer (see #801961 for an example failure
     here); and
 (b) ensure that bug fixes to fsck tools get included immediately in
     the initramfs

I've checked your package and I don't see any update-initramfs
calls. Please add one. If you'd like help doing that postinst work, I
can supply a patch - just ask!

-- System Information:
Debian Release: 8.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.16.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages xfsprogs depends on:
ii  libblkid1     2.25.2-6
ii  libc6         2.19-18+deb8u1
ii  libreadline5  5.2+dfsg-2
ii  libuuid1      2.25.2-6

xfsprogs recommends no packages.

Versions of packages xfsprogs suggests:
ii  acl      2.2.52-2
ii  attr     1:2.4.47-2
pn  quota    <none>
pn  xfsdump  <none>

-- no debconf information

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Bug#804255: Please update initramfs in postinst
  2015-11-06 16:19 Bug#804255: Please update initramfs in postinst Steve McIntyre
@ 2015-11-09  0:00 ` Nathan Scott
  2015-11-10 16:41   ` Steve McIntyre
  0 siblings, 1 reply; 4+ messages in thread
From: Nathan Scott @ 2015-11-09  0:00 UTC (permalink / raw)
  To: Steve McIntyre, 804255

Hi Steve,

----- Original Message -----
> Package: xfsprogs
> Version: 3.2.1
> Severity: important
> Tags: d-i
> 
> To make this work well, all filesystem tools packages for filesystems
> that are likely to be used for / and/or /usr should call
> "update-initramfs -u" in their postinst. This will

OK.

> I've checked your package and I don't see any update-initramfs
> calls.

(yep, xfsprogs has no postinst at all IIRC)

> Please add one. If you'd like help doing that postinst work, I
> can supply a patch - just ask!

That would be great, if you don't mind Steve?  Many thanks!

cheers.

--
Nathan

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Bug#804255: Please update initramfs in postinst
  2015-11-09  0:00 ` Nathan Scott
@ 2015-11-10 16:41   ` Steve McIntyre
  2015-11-10 21:50     ` Nathan Scott
  0 siblings, 1 reply; 4+ messages in thread
From: Steve McIntyre @ 2015-11-10 16:41 UTC (permalink / raw)
  To: Nathan Scott; +Cc: 804255

[-- Attachment #1: Type: text/plain, Size: 999 bytes --]

Control: tag -1 +patch

On Sun, Nov 08, 2015 at 07:00:20PM -0500, Nathan Scott wrote:
>Hi Steve,
>
>----- Original Message -----
>> Package: xfsprogs
>> Version: 3.2.1
>> Severity: important
>> Tags: d-i
>> 
>> To make this work well, all filesystem tools packages for filesystems
>> that are likely to be used for / and/or /usr should call
>> "update-initramfs -u" in their postinst. This will
>
>OK.
>
>> I've checked your package and I don't see any update-initramfs
>> calls.
>
>(yep, xfsprogs has no postinst at all IIRC)
>
>> Please add one. If you'd like help doing that postinst work, I
>> can supply a patch - just ask!
>
>That would be great, if you don't mind Steve?  Many thanks!

Here's a debdiff of what I've just built. Ignore the NMU version in
the changelog...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
The two hard things in computing:
 * naming things
 * cache invalidation
 * off-by-one errors                  -- Stig Sandbeck Mathisen

[-- Attachment #2: xfsprogs_4.2.0.1.debdiff --]
[-- Type: text/plain, Size: 1114 bytes --]

diff -Nru xfsprogs-4.2.0/debian/changelog xfsprogs-4.2.0.1/debian/changelog
--- xfsprogs-4.2.0/debian/changelog	2015-09-11 01:51:36.000000000 +0000
+++ xfsprogs-4.2.0.1/debian/changelog	2015-11-10 16:35:45.000000000 +0000
@@ -1,3 +1,11 @@
+xfsprogs (4.2.0.1) unstable; urgency=low
+
+  * NMU
+  * * Add a postinst to update the initramfs on install/upgrade.
+    (Closes: #804255)
+
+ -- Steve McIntyre <93sam@debian.org>  Tue, 10 Nov 2015 16:33:59 +0000
+
 xfsprogs (4.2.0) unstable; urgency=low
 
   * New upstream release
diff -Nru xfsprogs-4.2.0/debian/postinst xfsprogs-4.2.0.1/debian/postinst
--- xfsprogs-4.2.0/debian/postinst	1970-01-01 00:00:00.000000000 +0000
+++ xfsprogs-4.2.0.1/debian/postinst	2015-11-10 16:35:20.000000000 +0000
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+	configure)
+		if [ -x /usr/sbin/update-initramfs ] && [ -e /etc/initramfs-tools/initramfs.conf ]
+		then
+			update-initramfs -u
+		fi
+		;;
+
+	abort-upgrade|abort-remove|abort-deconfigure)
+
+		;;
+
+	*)
+		echo "postinst called with unknown argument \`${1}'" >&2
+		exit 1
+		;;
+esac
+
+#DEBHELPER#
+
+exit 0

[-- Attachment #3: Type: text/plain, Size: 121 bytes --]

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Bug#804255: Please update initramfs in postinst
  2015-11-10 16:41   ` Steve McIntyre
@ 2015-11-10 21:50     ` Nathan Scott
  0 siblings, 0 replies; 4+ messages in thread
From: Nathan Scott @ 2015-11-10 21:50 UTC (permalink / raw)
  To: Steve McIntyre, 804255



----- Original Message -----
> >[...]
> >That would be great, if you don't mind Steve?  Many thanks!
> 
> Here's a debdiff of what I've just built. Ignore the NMU version in
> the changelog...

Thanks Steve - I believe there's an upstream xfsprogs release pending,
so we'll get this uploaded shortly.

cheers.

--
Nathan

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2015-11-10 21:54 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-11-06 16:19 Bug#804255: Please update initramfs in postinst Steve McIntyre
2015-11-09  0:00 ` Nathan Scott
2015-11-10 16:41   ` Steve McIntyre
2015-11-10 21:50     ` Nathan Scott

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox